vgp.minimal.weier

## Class PjWeierstrass

- java.lang.Object
- - jv.object.PsObject
  - - jv.project.PjProject
    - - vgp.minimal.weier.PjWeierstrass

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsTimeListenerIf, PsUpdateIf, PvPickListenerIf

      public class PjWeierstrass
      extends PjProject

  Project class for minimal surfaces computed by integrating Weierstrass functions.
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    16.05.07, 2.00 revised (ur) Full revision.
    10.12.06, 1.30 revised (kp) Update improved since slider panel of descriptor was initially not shown.
    19.10.00, 1.20 revised (ur) Show marked boundary for reflections by vertex tag.
    04.11.99, 1.10 revised (ur) Standalone project created from applet version.
    01.06.99, 1.00 created (ur)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BASE_SURFACE_NAME` The path and name stub for Weierstrass integrated minimal surfaces.
    `static java.lang.String[]` | `m_surfaceFileName` Names of Weierstrass Descriptor Files.
    `static int` | `SHOW_DOMAIN`
    `static int` | `SHOW_SURFACE`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjWeierstrass()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()` Initialization
    `void` | `pickInitial(PvPickEvent pe)` Use pick event to mark a boundary polygon as the polygon to reflect the surface at.
    `boolean` | `setSurfaceName(java.lang.String surface)` Choose a surface by its name.
    `boolean` | `setTime(PsTimeEvent timeEvent)` Update(time) is invoked by animation.
    `void` | `setVisible(int type)` Select visible geometry, if surface or domain.
    `void` | `start()` Method is invoked during loading of a project in JavaView.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.

    - ### Methods inherited from class jv.project.PjProject

      `addDisplay, addGeometry, addGeometry, dispose, dragDisplay, dragInitial, dragVertex, fitDisplays, getAnimation, getDisplay, getDisplays, getGeometry, getGeometry, getNumGeometries, getParameter, getParameterInfo, getViewer, hasAnimation, hasDisplay, isEnabledAutoFit, markVertices, pickDisplay, pickVertex, removeDisplay, removeGeometries, removeGeometry, selectDisplay, selectGeometry, setAnimation, setBackColor, setBorderType, setDisplay, setEnabledAutoFit, setGeometry, setParameterInfo, setViewer, stop, unmarkVertices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.anim.PsTimeListenerIf

      `getName`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Field Detail

    - #### SHOW_SURFACE

          public static final int SHOW_SURFACE

      See Also:
        Constant Field Values

    - #### SHOW_DOMAIN

          public static final int SHOW_DOMAIN

      See Also:
        Constant Field Values

    - #### BASE_SURFACE_NAME

          public static final java.lang.String BASE_SURFACE_NAME

      The path and name stub for Weierstrass integrated minimal surfaces.
      See Also:
        Constant Field Values

    - #### m_surfaceFileName

          public static java.lang.String[] m_surfaceFileName

      Names of Weierstrass Descriptor Files.

  - ### Constructor Detail

    - #### PjWeierstrass

          public PjWeierstrass()

      Constructor

  - ### Method Detail

    - #### init

          public void init()

      Initialization
      Overrides:
        `init` in class `PjProject`

    - #### start

          public void start()

      Method is invoked during loading of a project in JavaView.
      Overrides:
        `start` in class `PjProject`
      See Also:
        `PvViewerIf.start()`, `PjProject.isEnabledAutoFit()`

    - #### update

          public boolean update(java.lang.Object event)

      Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### setTime

          public boolean setTime(PsTimeEvent timeEvent)

      Update(time) is invoked by animation. In Weierstrass surfaces the animation is usually used to animate the conjugation of the surface.
      Specified by:
        `setTime` in interface `PsTimeListenerIf`
      Overrides:
        `setTime` in class `PjProject`

    - #### setSurfaceName

          public boolean setSurfaceName(java.lang.String surface)

      Choose a surface by its name.

    - #### setVisible

          public void setVisible(int type)

      Select visible geometry, if surface or domain.

    - #### pickInitial

          public void pickInitial(PvPickEvent pe)

      Use pick event to mark a boundary polygon as the polygon to reflect the surface at.
      Specified by:
        `pickInitial` in interface `PvPickListenerIf`
      Overrides:
        `pickInitial` in class `PjProject`
      Parameters:
        `pe` - Pick event issued by the display
      See Also:
        `PvPickListenerIf`

"

The software JavaView? is copyright protected. All Rights Reserved.
"